Package com.ads.api.beans.common

# Enum Class APIConstants.EndPointType

java.lang.Object
java.lang.Enum<APIConstants.EndPointType>
com.ads.api.beans.common.APIConstants.EndPointType

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.EndPointType>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.EndPointType extends Enum<APIConstants.EndPointType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTH`
  BOTH - Refers to both Source / Target Type in Lineage / Mapping Row
  `NONE`
  Default NONE to all nodes
  `SOURCE`
  SOURCE - Refers to Source Type in Lineage / Mapping Row
  `TARGET`
  TARGET - Refers to Target Type in Lineage / Mapping Row

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static APIConstants.EndPointType`
  `getEndPointType(String value)`
  `static APIConstants.EndPointType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.EndPointType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SOURCE

    public static final APIConstants.EndPointType SOURCE
    SOURCE - Refers to Source Type in Lineage / Mapping Row

  - ### TARGET

    public static final APIConstants.EndPointType TARGET
    TARGET - Refers to Target Type in Lineage / Mapping Row

  - ### BOTH

    public static final APIConstants.EndPointType BOTH
    BOTH - Refers to both Source / Target Type in Lineage / Mapping Row

  - ### NONE

    public static final APIConstants.EndPointType NONE
    Default NONE to all nodes

- ## Method Details

  - ### values

    public static APIConstants.EndPointType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.EndPointType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getEndPointType

    public static APIConstants.EndPointType getEndPointType(String value)
    Parameters:
      `value` -
    Returns: